Package org.apache.uima.util.impl

# Class CasPoolManagementImpl

java.lang.Object
org.apache.uima.util.impl.CasPoolManagementImpl

All Implemented Interfaces:
  `ManagementObject`, `CasPoolManagement`, `CasPoolManagementImplMBean`

public class CasPoolManagementImpl extends Object implements CasPoolManagement, CasPoolManagementImplMBean
Implements Monitoring/Management interface to a CasPool.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CasPoolManagementImpl(CasPool aCasPool, String aUniqueMBeanName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAvailableInstances()`
  Get the number of CAS instances currently available in the pool.
  `int`
  `getPoolSize()`
  Get the total size of the CAS Pool.
  `String`
  `getUniqueMBeanName()`
  Gets a valid JMX MBean name that is unique among all ManagementObjects in this JVM.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CasPoolManagementImpl

    public CasPoolManagementImpl(CasPool aCasPool, String aUniqueMBeanName)

- ## Method Details

  - ### getAvailableInstances

    public int getAvailableInstances()
    Description copied from interface: `CasPoolManagement`
    Get the number of CAS instances currently available in the pool.
    Specified by:
      `getAvailableInstances` in interface `CasPoolManagement`
    Specified by:
      `getAvailableInstances` in interface `CasPoolManagementImplMBean`
    Returns:
      the number of available CAS instances

  - ### getPoolSize

    public int getPoolSize()
    Description copied from interface: `CasPoolManagement`
    Get the total size of the CAS Pool.
    Specified by:
      `getPoolSize` in interface `CasPoolManagement`
    Specified by:
      `getPoolSize` in interface `CasPoolManagementImplMBean`
    Returns:
      the pool size

  - ### getUniqueMBeanName

    public String getUniqueMBeanName()
    Description copied from interface: `ManagementObject`
    Gets a valid JMX MBean name that is unique among all ManagementObjects in this JVM. (Technically, it is unique only among ManagementObjects objects loaded by the same ClassLoader, which is whatever ClassLoader was used to load the UIMA Framework classes.)

    If you are running with JRE 1.5, this is the name used to register this object with the platform MBeanServer.

    Specified by:
      `getUniqueMBeanName` in interface `ManagementObject`
    Returns:
      a unique MBean name